# Uses of Class
org.springframework.context.expression.AnnotatedElementKey

Packages that use AnnotatedElementKey
Package
Description
org.springframework.context.expression
Expression parsing support within a Spring application context.

## Uses of AnnotatedElementKey in org.springframework.context.expression

Methods in org.springframework.context.expression with parameters of type AnnotatedElementKey
Modifier and Type
Method
Description
`int`
AnnotatedElementKey.`compareTo(AnnotatedElementKey other)`
`protected org.springframework.expression.Expression`
CachedExpressionEvaluator.`getExpression(Map<CachedExpressionEvaluator.ExpressionKey,org.springframework.expression.Expression> cache, AnnotatedElementKey elementKey, String expression)`
Return the parsed `Expression` for the specified SpEL expression.
Constructors in org.springframework.context.expression with parameters of type AnnotatedElementKey
Modifier
Constructor
Description
`protected`
`ExpressionKey(AnnotatedElementKey element, String expression)`